﻿<Window x:Class="HiVE.DropDownControls_Demo_WPF.MainWindow"
        x:ClassModifier="internal"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:HiVE.DropDownControls_Demo_WPF"
        xmlns:local_isUserControl="clr-namespace:HiVE.DropDownControls_Demo_WPF.isUserControl"
        xmlns:basicModels_isConverter="clr-namespace:HiVE.BasicModels.isConverter;assembly=HiVE.BasicModels"
        mc:Ignorable="d"
        Name="mainWindow"
        Title="HiVE.DropDownControls - Demo [WPF]"
        SizeToContent="WidthAndHeight"
        WindowStartupLocation="CenterScreen"
        WindowState="Normal"
        MinWidth="900" MinHeight="560"
        Icon="Images/Logo.x512.ico"
        DataContext="{Binding ElementName=mainWindow, Path=BasicWindowDetailsItem}"
        Loaded="mainWindow_Loaded">

    <Window.Resources>
        <basicModels_isConverter:Converter_StringEmptyToVisibility x:Key="Converter_StringEmptyToVisibility"/>
        <basicModels_isConverter:Converter_ActualHeightToHeightMinusToolStripLogo x:Key="Converter_ActualHeightToHeightMinusToolStripLogo"/>

        <Style TargetType="{x:Type Grid}">
            <Setter Property="Grid.Background" Value="MintCream"/>
        </Style>

        <Style TargetType="{x:Type TextBlock}">
            <Setter Property="Margin" Value="2,8,2,4"/>
            <Setter Property="Padding" Value="2"/>
        </Style>

        <Style TargetType="{x:Type TextBox}">
            <Setter Property="Padding" Value="2"/>
            <!--<Setter Property="MaxWidth" Value="360"/>-->
        </Style>
    </Window.Resources>

    <ScrollViewer HorizontalScrollBarVisibility="Disabled"
                  VerticalScrollBarVisibility="Disabled">
        <Grid>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="Auto"/>
                <ColumnDefinition Width="*"/>
                <ColumnDefinition Width="Auto"/>
            </Grid.ColumnDefinitions>
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="*"/>
                <RowDefinition Height="Auto"/>
            </Grid.RowDefinitions>

            <Grid Name="gridToolStripLogo"
                  Grid.Row="0" Grid.Column="0"
                  Margin="16"
                  MinHeight="64"
                  MaxHeight="128">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="Auto"/>
                    <ColumnDefinition Width="Auto"/>
                    <ColumnDefinition Width="Auto"/>
                    <ColumnDefinition Width="Auto"/>
                    <ColumnDefinition Width="*"/>
                </Grid.ColumnDefinitions>

                <Button Name="buttonMainMenu"
                        Grid.Column="0"
                        MinHeight="56"
                        FontSize="13"
                        FontWeight="ExtraBold"
                        Background="Goldenrod"
                        Cursor="Hand"
                        Visibility="{Binding ElementName=buttonMainMenu, Path=Content, Converter={StaticResource Converter_StringEmptyToVisibility}}"
                        Click="buttonMainMenu_Click"
                        Content="{Binding Path=MainMenuContent}"/>

                <Image Name="imageLogo"
                       Grid.Column="1"
                       Margin="2,8"
                       MinWidth="64" MinHeight="64"
                       MaxWidth="72" MaxHeight="72"
                       RenderOptions.BitmapScalingMode="Fant"
                       Source="/Images/Logo.x512.ico"/>
                <TextBlock Name="textBlockProductVersionMajor"
                           Grid.Column="2"
                           TextWrapping="Wrap"
                           VerticalAlignment="Center"
                           Focusable="False"
                           FontWeight="Bold"
                           FontSize="16"
                           Foreground="Red"
                           Text="{Binding Path=AssemblyProductVersionMajor}"/>
                <TextBlock Name="textBlockProductIsTrialMode"
                           Grid.Column="3"
                           TextWrapping="Wrap"
                           VerticalAlignment="Center"
                           Focusable="False"
                           FontWeight="Bold"
                           FontSize="14"
                           Foreground="Blue"
                           Visibility="{Binding ElementName=textBlockProductIsTrialMode, Path=Text, Converter={StaticResource Converter_StringEmptyToVisibility}}"
                           Text="{Binding Path=ProductIsTrialMode}"/>
            </Grid>

            <Grid Name="gridToolStripSpecial"
                  Grid.Row="0" Grid.Column="2"
                  DataContext="{Binding ElementName=mainWindow, Path=SpecialWindowDetailsItem}"
                  FlowDirection="RightToLeft">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="Auto"/>
                    <ColumnDefinition Width="*"/>
                </Grid.ColumnDefinitions>

            </Grid>

            <Grid x:Name="gridUserControls"
                  Grid.Row="1" Grid.Column="0"
                  Grid.ColumnSpan="3"
                  HorizontalAlignment="Stretch"
                  VerticalAlignment="Stretch"
                  MaxWidth="{Binding RelativeSource={RelativeSource AncestorType={x:Type Window}}, Path=ActualWidth}"
                  MaxHeight="{Binding RelativeSource={RelativeSource AncestorType={x:Type Window}}, Path=ActualHeight, Converter={StaticResource Converter_ActualHeightToHeightMinusToolStripLogo}}"
                  FlowDirection="LeftToRight">
                <TabControl x:Name="tabControlMain"
                            TabStripPlacement="Left"
                            HorizontalContentAlignment="Center"
                            VerticalContentAlignment="Center"
                            IsSynchronizedWithCurrentItem="True"
                            Background="Snow">
                    <TabItem Header="DropDown Controls">
                        <Grid>
                            <local_isUserControl:DropDownControls_UserControl/>
                        </Grid>
                    </TabItem>
                    <TabItem Header="About">
                        <Grid>
                            <local_isUserControl:About/>
                        </Grid>
                    </TabItem>
                </TabControl>
            </Grid>

            <StatusBar Grid.Row="2" Grid.Column="0"
                       Grid.ColumnSpan="3"
                       HorizontalAlignment="Stretch"
                       VerticalAlignment="Stretch"
                       Margin="1,16,1,1">
                <TextBlock Name="textBlockCopyright"
                           Text="{Binding Path=AssemblyCopyright}"/>
            </StatusBar>
        </Grid>
    </ScrollViewer>
</Window>
